Loading...
Searching...
No Matches
Opm::detail::Extractor< TypeTag > Struct Template Reference

Wrapping struct holding types used for element-level data extraction. More...

`#include <OutputExtractor.hpp>`

## Classes

struct | HysteresisParams
| Struct holding hysteresis parameters. More...
struct | Context
| Context passed to extractor functions. More...
struct | ScalarEntry
| A scalar extractor descriptor. More...
struct | PhaseEntry
| A phase buffer extractor descriptor. More...
struct | Entry
| Descriptor for extractors. More...

## Public Types

using | IntensiveQuantities = GetPropType<TypeTag, Properties::IntensiveQuantities>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | FluidState = typename IntensiveQuantities::FluidState
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | AssignFunc = std::function<void(const Context&)>
| Callback for extractors handling their own assignements.
using | ScalarFunc = std::function<Scalar(const Context&)>
| Callback for extractors assigned to a scalar buffer Return value to store in buffer.
using | PhaseFunc = std::function<Scalar(const unsigned , const Context&)>
| Callback for extractors assigned to a phase buffer Returns value to store in buffer for requested phase.
using | ScalarBuffer = std::vector<Scalar>
| A scalar buffer.
using | PhaseArray = std::array<ScalarBuffer,numPhases>
| An array of buffers, one for each phase.

## Static Public Member Functions

template<std::size_t size>
static std::vector< Entry > | removeInactive (std::array< Entry, size > &input)
| Obtain vector of active extractors from an array of extractors.
static void | process (const Context &ectx, const std::vector< Entry > &extractors)
| Process the given extractor entries.

## Static Public Attributes

static constexpr int | numPhases = FluidSystem::numPhases

## Detailed Description

template<class TypeTag>
struct Opm::detail::Extractor< TypeTag >

Wrapping struct holding types used for element-level data extraction.

## Member Function Documentation

## process()

template<class TypeTag>

void Opm::detail::Extractor< TypeTag >::process | ( | const Context & | ectx,
|  | const std::vector< Entry > & | extractors )

inline static

Process the given extractor entries.

Parameters

  ectx | Context for extractors
  extractors | List of extractors to process

The documentation for this struct was generated from the following file:

- opm/simulators/flow/OutputExtractor.hpp